petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDrawSetSaveMovie

Saves a movie produced from a PetscDraw into a file

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetSaveMovie(PetscDraw draw,const char movieext[])

Collective on PetscDraw Many br

### Input Parameter

| draw | - the graphics context Many br
| movieext | - optional extension defining the movie format Many br

### Options Database Command

-draw_save_movie <.ext> -saves a movie with extension .ext Many br

Many br

Notes: You should call this AFTER calling PetscDrawSetSave() and BEFORE creating your image with PetscDrawSave(). Many brThe ffmpeg utility must be in your path to make the movie. Many br

### See Also

PetscDrawSetSave(), PetscDrawSetFromOptions(), PetscDrawCreate(), PetscDrawDestroy()

Level:intermediate
Location:src/sys/classes/draw/interface/dsave.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages